package com.ym.library.module;

/**
 * @author (wangXuewei)
 * @datetime 2020-10-10 11:44 GMT+8
 * @detail :
 */
public class LandListEntity {


    /**
     * landId : 1
     * status : 2
     * landPlantData : {"plantId":1,"plantStatusLastFlushTS":1612520123202,"appearWormSecond":0,"growthLastSecond":300,"isAppearedWorm":false}
     * unlockVideoNum : null
     */

    private int landId;
    private int status;
    private LandPlantDataBean landPlantData;
    private int unlockVideoNum;

    public int getLandId() {
        return landId;
    }

    public void setLandId(int landId) {
        this.landId = landId;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public LandPlantDataBean getLandPlantData() {
        return landPlantData;
    }

    public void setLandPlantData(LandPlantDataBean landPlantData) {
        this.landPlantData = landPlantData;
    }

    public int getUnlockVideoNum() {
        return unlockVideoNum;
    }

    public void setUnlockVideoNum(int unlockVideoNum) {
        this.unlockVideoNum = unlockVideoNum;
    }

    public static class LandPlantDataBean {
        /**
         * plantId : 1
         * plantStatusLastFlushTS : 1612520123202
         * appearWormSecond : 0
         * growthLastSecond : 300
         * isAppearedWorm : false
         */

        private int plantId;
        private long plantStatusLastFlushTS;
        private int appearWormCountdownSecond;
        private int growthAllSecond;
        private int growthLastSecond;
        private boolean isAppearedWorm;

        public int getGrowthAllSecond() {
            return growthAllSecond;
        }

        public void setGrowthAllSecond(int growthAllSecond) {
            this.growthAllSecond = growthAllSecond;
        }

        public boolean isAppearedWorm() {
            return isAppearedWorm;
        }

        public void setAppearedWorm(boolean appearedWorm) {
            isAppearedWorm = appearedWorm;
        }

        public int getPlantId() {
            return plantId;
        }

        public void setPlantId(int plantId) {
            this.plantId = plantId;
        }

        public long getPlantStatusLastFlushTS() {
            return plantStatusLastFlushTS;
        }

        public void setPlantStatusLastFlushTS(long plantStatusLastFlushTS) {
            this.plantStatusLastFlushTS = plantStatusLastFlushTS;
        }

        public int getAppearWormCountdownSecond() {
            return appearWormCountdownSecond;
        }

        public void setAppearWormCountdownSecond(int appearWormCountdownSecond) {
            this.appearWormCountdownSecond = appearWormCountdownSecond;
        }

        public int getGrowthLastSecond() {
            return growthLastSecond;
        }

        public void setGrowthLastSecond(int growthLastSecond) {
            this.growthLastSecond = growthLastSecond;
        }

        public boolean isIsAppearedWorm() {
            return isAppearedWorm;
        }

        public void setIsAppearedWorm(boolean isAppearedWorm) {
            this.isAppearedWorm = isAppearedWorm;
        }
    }
}
